### Method

# Gtk CheckButton set_group

#### Declaration [src]

    void
    gtk_check_button_set_group (
      GtkCheckButton* self,
      GtkCheckButton* group
    )

#### Description [src]

Adds `self` to the group of `group`.

In a group of multiple check buttons, only one button can be active at a time. The behavior of a checkbutton in a group is also commonly known as a radio button.

Setting the group of a check button also changes the css name of the indicator widget’s CSS node to ‘radio’.

Setting up groups in a cycle leads to undefined behavior.

Note that the same effect can be achieved via the `GtkActionable` API, by using the same action with parameter type and state type ‘s’ for all buttons in the group, and giving each button its own target value.

Sets property | `Gtk.CheckButton:group`

#### Parameters

`group` | `GtkCheckButton`
| Another `GtkCheckButton` to form a group with.
| The argument can be `NULL`.
| The data is owned by the caller of the function.